=head1 NAME

Gnome2::App - wrapper for GnomeApp

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Window
                                +----Gnome2::App



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gnome2::App-E<gt>B<new> ($appname, $title=undef)

=over

=item * $appname (string) 

=item * $title (string) 

=back

=head2 scalar = $app-E<gt>B<accel_group> 

=head2 $app-E<gt>B<add_dock_item> ($item, $placement, $band_num, $band_position, $offset)

=over

=item * $item (Gnome2::Bonobo::DockItem) 

=item * $placement (Gnome2::Bonobo::DockPlacement) 

=item * $band_num (integer) 

=item * $band_position (integer) 

=item * $offset (integer) 

=back

=head2 widget = $app-E<gt>B<add_docked> ($widget, $name, $behavior, $placement, $band_num, $band_position, $offset)

=over

=item * $widget (Gtk2::Widget) 

=item * $name (string) 

=item * $behavior (Gnome2::Bonobo::DockItemBehavior) 

=item * $placement (Gnome2::Bonobo::DockPlacement) 

=item * $band_num (integer) 

=item * $band_position (integer) 

=item * $offset (integer) 

=back

=head2 $app-E<gt>B<add_toolbar> ($toolbar, $name, $behavior, $placement, $band_num, $band_position, $offset)

=over

=item * $toolbar (Gtk2::Toolbar) 

=item * $name (string) 

=item * $behavior (Gnome2::Bonobo::DockItemBehavior) 

=item * $placement (Gnome2::Bonobo::DockPlacement) 

=item * $band_num (integer) 

=item * $band_position (integer) 

=item * $offset (integer) 

=back

=head2 scalar = $app-E<gt>B<contents> 

=head2 $app-E<gt>B<set_contents> ($contents)

=over

=item * $contents (Gtk2::Widget) 

=back

=head2 $app-E<gt>B<create_menus> ($uiinfo)

=over

=item * $uiinfo (Gnome2::UIInfo) 

=back

=head2 $app-E<gt>B<create_toolbar> ($uiinfo)

=over

=item * $uiinfo (Gnome2::UIInfo) 

=back

=head2 scalar = $app-E<gt>B<dock> 

=head2 dock = $app-E<gt>B<get_dock> 

=head2 dockitem = $app-E<gt>B<get_dock_item_by_name> ($name)

=over

=item * $name (string) 

=back

=head2 $app-E<gt>B<enable_layout_config> ($enable)

=over

=item * $enable (boolean) 

=back

=head2 scalar = $app-E<gt>B<get_enable_layout_config> 

=head2 $app-E<gt>B<insert_menus> ($path, $menuinfo)

=over

=item * $path (string) 

=item * $menuinfo (Gnome2::UIInfo) 

=back

=head2 $app-E<gt>B<install_menu_hints> ($uiinfo)

=over

=item * $uiinfo (Gnome2::UIInfo) 

=back

=head2 scalar = $app-E<gt>B<layout> 

=head2 scalar = $app-E<gt>B<menubar> 

=head2 $app-E<gt>B<set_menus> ($menubar)

=over

=item * $menubar (Gtk2::MenuBar) 

=back

=head2 scalar = $app-E<gt>B<prefix> 

=head2 $app-E<gt>B<remove_menu_range> ($path, $start, $items)

=over

=item * $path (string) 

=item * $start (integer) 

=item * $items (integer) 

=back

=head2 $app-E<gt>B<remove_menus> ($path, $items)

=over

=item * $path (string) 

=item * $items (integer) 

=back

=head2 Gnome2::App-E<gt>B<setup_toolbar> ($toolbar, $dock_item)

=over

=item * $toolbar (Gtk2::Toolbar) 

=item * $dock_item (Gnome2::Bonobo::DockItem) 

=back

=head2 scalar = $app-E<gt>B<statusbar> 

=head2 $app-E<gt>B<set_statusbar_custom> ($container, $statusbar)

=over

=item * $container (Gtk2::Widget) 

=item * $statusbar (Gtk2::Widget) 

=back

=head2 $app-E<gt>B<set_statusbar> ($statusbar)

=over

=item * $statusbar (Gtk2::Widget) 

=back

=head2 $app-E<gt>B<set_toolbar> ($toolbar)

=over

=item * $toolbar (Gtk2::Toolbar) 

=back

=head2 scalar = $app-E<gt>B<vbox> 



=cut


=head1 PROPERTIES

=over

=item 'app-id' (string : default undef : readable / writable / construct)

The application ID string

=back



=cut


=head1 ENUMS AND FLAGS

=head2 flags Gnome2::Bonobo::DockItemBehavior

=over

=item * 'normal' / 'BONOBO_DOCK_ITEM_BEH_NORMAL'

=item * 'exclusive' / 'BONOBO_DOCK_ITEM_BEH_EXCLUSIVE'

=item * 'never-floating' / 'BONOBO_DOCK_ITEM_BEH_NEVER_FLOATING'

=item * 'never-vertical' / 'BONOBO_DOCK_ITEM_BEH_NEVER_VERTICAL'

=item * 'never-horizontal' / 'BONOBO_DOCK_ITEM_BEH_NEVER_HORIZONTAL'

=item * 'locked' / 'BONOBO_DOCK_ITEM_BEH_LOCKED'

=back


=head2 enum Gnome2::Bonobo::DockPlacement

=over

=item * 'top' / 'BONOBO_DOCK_TOP'

=item * 'right' / 'BONOBO_DOCK_RIGHT'

=item * 'bottom' / 'BONOBO_DOCK_BOTTOM'

=item * 'left' / 'BONOBO_DOCK_LEFT'

=item * 'floating' / 'BONOBO_DOCK_FLOATING'

=back




=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Window>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

